For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Create Debit Card

POST
https://api-sandbox.coinflow.cash/api/withdraw/debit-card
POST
/api/withdraw/debit-card
$curl -X POST https://api-sandbox.coinflow.cash/api/withdraw/debit-card \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "expYear": "26",
> "expMonth": "12",
> "cardToken": "tok_visa_1234567890abcdef"
>}'
1"Debit card added successfully and is eligible for withdrawals."
Adds a debit card to the withdrawer's account which they can withdraw funds to. Will check the card to see if its eligible to receive funds.
Was this page helpful?
Previous

Create Iban Account

Next
Built with

Authentication

x-coinflow-auth-user-idstring

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
expYearstringRequiredformat: "^\d+$"=2 characters

The Cards Expiration Year ex: 2026 => 26

expMonthstringRequiredformat: "^\d+$"=2 characters

The Cards Expiration Month ex: January => 01 December => 12

cardTokenstringRequired>=1 character

This is the card token received from the CoinflowCardOnlyInput

addressobjectOptional
If address is not available on the user's KYC,the endpoint will return a 412 error and the request must be retried with the user's address information.
merchantIdstringOptional

Response

Ok

Errors

412
Precondition Failed Error

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key